OMERO.web installation error on version 5.6.0

Hi,

I installed OMERO server version 5.6.0, OMERO.insight 5.5.9 and OMERO_ij-5.5.9 to UBUNTU 18.04. They are working well.

I followed " OMERO.web installation for developers" under “OMERO 5.6.0 documentation/Developer Documentation” to install OMERO.web. I encountered some errors but could solve them.
Finally I got following messages and could not solve them :

$omero config append omero.web.server_list '[“localhost”,4064,“omero”]'
No JSON object could be decoded
$ omero config append omero.web.server_list '[[“localhost”,4064,“omero”]]'
No JSON object could be decoded

I have tried another command. Error messages are different but OMERO.web won’ t start.

$ omero config set omero.web.server_list '[[“localhost”,4064,“omero”]]'
$ omero web start
Error printing text
Invalid SERVER_LIST (omero.web.server_list = '[[“localhost”,4064,“omero”]]'). Expecting value: 
line 1 column 3 (char 2). A list of servers the Web client can connect to.

I would appreciate it, if someone tell me how to solve the issue.
Thanks in advance.

H. Fujimoto

Fujimoto-san,

I believe the problem is caused by the quotation marks that are being used. looks to me like a special quote in unicode. Could you try to replace them with plain ascii quotes like "? e.g.

omero config set omero.web.server_list '[["localhost",4064,"omero"]]'

Sorry for the trouble.
~Josh

Dear Josh-san,

This is Hiroki Fujimoto from Japan.
Thank you for your quick reply.

With your help, my OMERO.web has started finally.

Delimiters were not appropriate!
I pasted the default value from
https://docs.openmicroscopy.org/omero/5.6.0/sysadmins/config.html#web”.

omero.web.server_list

A list of servers the Web client can connect to.
Default: [[“localhost”, 4064, “omero”]]

I should have typed them by myself.

Thank you very much.

H. Fujimoto

Ah, Fujimoto-san. Thanks for pointing this out. I’m not sure when the change occurred, but I definitely see the same thing. I’ve opened https://github.com/ome/omero-py/pull/185 which should fix the issue for the next release.

All the best,
~Josh